require 'spec_helper'

module Spellcard
  describe Checker do
    let(:checker) { Checker.new }

    describe "#find_typo" do
      context "given English sentences that contain no misspelled word" do
        it "returns ''" do
          text = checker.find_typo('This is a pen.')
          text.should == []
        end
      end

      context "given English sentences that contain one misspelled word" do
        it "returns the misspelled word" do
          text = checker.find_typo('Thiis is a pen.')
          text.should == ['Thiis']
        end
      end

      context "given the string that has no mean" do
        it "returns the string" do
          text = checker.find_typo('Thiis Thiis')
          text.should == ['Thiis', 'Thiis']
        end
      end
    end

    describe "#word_array" do
      context "given English sentence" do
        it "returns the word array in the sentence" do
          array = checker.word_array('Hello, I can fly.')
          array.should == ['Hello', 'I', 'can', 'fly']
        end
      end

      context "given wrong English sentence" do
        it "returns the word array in the sentence" do
          array = checker.word_array('Thiis is a pen.')
          array.should == ['Thiis', 'is', 'a', 'pen']          
        end
      end
    end

    describe "#is_english_word" do
      context "given English word" do
        it "returns true" do
          checker.is_english_word('this').should == true
        end
      end

      context "given not English word" do
        it "returns false" do
          checker.is_english_word('Thiis').should == false
        end
      end
    end
  end
end

