require 'spec_helper'

module Spellcard
  describe Parser do
    let(:parser) { Parser.new }

    describe "#parse" do
      context "given one-line C source code with // comment" do
        it "returns comment" do
          text = parser.parse('int main(void) { printf("test"); } //comment')
          text.should == 'comment'
        end
      end

      context "given multi-line C source code with // comment" do
        it "returns comment" do
          text = parser.parse("code //first-line\ncode //second-line")
          text.should == "first-line\nsecond-line"
        end
      end

      context "given one-line C source code with /* */ comment" do
        it "returns comment" do
          text = parser.parse('foo /* hoge */ bar')
          text.should == ' hoge '
        end
      end

      context "given multi-line C source code with /* */ comment" do
        it "returns comment" do
          text = parser.parse("code /*first-line\nsecond-line\nthird-line*/ code")
          text.should == "first-line\nsecond-line\nthird-line"
        end
      end
    end
  end
end
